aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorchriseth <c@ethdev.com>2016-11-21 18:42:38 +0800
committerchriseth <c@ethdev.com>2016-11-21 18:42:38 +0800
commitb318366e6f16ed6a4274247d09badac4affff8d5 (patch)
treeef8dac7fe9285c1bc0b24ad042a3cda5565a661d /scripts
parent4633f3def897db0f91237f98cf46e5d84fb05e61 (diff)
parent5ebd31ce2d7447917740088eaa22c8c62c453a94 (diff)
downloaddexon-solidity-b318366e6f16ed6a4274247d09badac4affff8d5.tar.gz
dexon-solidity-b318366e6f16ed6a4274247d09badac4affff8d5.tar.zst
dexon-solidity-b318366e6f16ed6a4274247d09badac4affff8d5.zip
Merge remote-tracking branch 'origin/develop' into release
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/install_deps.sh10
-rwxr-xr-xscripts/release_ppa.sh25
-rwxr-xr-xscripts/tests.sh18
-rwxr-xr-xscripts/travis-emscripten/build_emscripten.sh30
-rwxr-xr-xscripts/travis-emscripten/install_deps.sh2
5 files changed, 24 insertions, 61 deletions
diff --git a/scripts/install_deps.sh b/scripts/install_deps.sh
index 334c62d4..c9f82769 100755
--- a/scripts/install_deps.sh
+++ b/scripts/install_deps.sh
@@ -105,7 +105,6 @@ case $(uname -s) in
brew install boost
brew install cmake
- brew install jsoncpp
# We should really 'brew install' our eth client here, but at the time of writing
# the bottle is known broken, so we will just cheat and use a hardcoded ZIP for
@@ -164,7 +163,7 @@ case $(uname -s) in
# See https://pkgs.alpinelinux.org/
apk update
- apk add boost-dev build-base cmake jsoncpp-dev
+ apk add boost-dev build-base cmake
;;
@@ -219,7 +218,6 @@ case $(uname -s) in
gcc \
git \
libboost-all-dev \
- libjsoncpp-dev \
unzip
;;
@@ -321,8 +319,7 @@ case $(uname -s) in
build-essential \
cmake \
git \
- libboost-all-dev \
- libjsoncpp-dev
+ libboost-all-dev
# Install 'eth', for use in the Solidity Tests-over-IPC.
sudo add-apt-repository -y ppa:ethereum/ethereum
@@ -363,9 +360,6 @@ case $(uname -s) in
sudo yum -y remove boost-devel
sudo wget http://repo.enetres.net/enetres.repo -O /etc/yum.repos.d/enetres.repo
sudo yum install boost-devel
-
- # And finally jsoncpp
- sudo yum -y install jsoncpp-devel
else
echo "Aborted CentOS Solidity Dependency Installation";
exit 1
diff --git a/scripts/release_ppa.sh b/scripts/release_ppa.sh
index 7231f582..86288c47 100755
--- a/scripts/release_ppa.sh
+++ b/scripts/release_ppa.sh
@@ -49,6 +49,10 @@ cd $distribution
git clone --recursive https://github.com/ethereum/solidity.git -b "$branch"
mv solidity solc
+# Fetch jsoncpp dependency
+mkdir -p ./solc/deps/downloads/ 2>/dev/null || true
+wget -O ./solc/deps/downloads/jsoncpp-1.7.7.tar.gz https://github.com/open-source-parsers/jsoncpp/archive/1.7.7.tar.gz
+
# Determine version
cd solc
version=`grep -oP "PROJECT_VERSION \"?\K[0-9.]+(?=\")"? CMakeLists.txt`
@@ -76,21 +80,6 @@ cp /tmp/${packagename}_${debversion}.orig.tar.gz ../
# Create debian package information
-case $distribution in
- trusty)
- jsoncpplib=libjsoncpp0
- ;;
- vivid)
- jsoncpplib=libjsoncpp0
- ;;
- wily)
- jsoncpplib=libjsoncpp0v5
- ;;
- *)
- jsoncpplib=libjsoncpp1
- ;;
-esac
-
mkdir debian
echo 9 > debian/compat
cat <<EOF > debian/control
@@ -99,7 +88,6 @@ Section: science
Priority: extra
Maintainer: Christian (Buildserver key) <builds@ethereum.org>
Build-Depends: debhelper (>= 9.0.0),
- libcryptopp-dev,
cmake,
g++-4.8,
git,
@@ -107,8 +95,7 @@ Build-Depends: debhelper (>= 9.0.0),
libboost-all-dev,
automake,
libtool,
- scons,
- libjsoncpp-dev
+ scons
Standards-Version: 3.9.5
Homepage: https://ethereum.org
Vcs-Git: git://github.com/ethereum/solidity.git
@@ -117,7 +104,7 @@ Vcs-Browser: https://github.com/ethereum/solidity
Package: solc
Architecture: any-i386 any-amd64
Multi-Arch: same
-Depends: \${shlibs:Depends}, \${misc:Depends}, $jsoncpplib
+Depends: \${shlibs:Depends}, \${misc:Depends}
Replaces: lllc (<< 1:0.3.6)
Conflicts: libethereum (<= 1.2.9)
Description: Solidity compiler.
diff --git a/scripts/tests.sh b/scripts/tests.sh
index 93afd2d2..5da427d4 100755
--- a/scripts/tests.sh
+++ b/scripts/tests.sh
@@ -28,8 +28,22 @@
set -e
-# There is an implicit assumption here that we HAVE to run from root directory.
-REPO_ROOT=$(pwd)
+REPO_ROOT="$(dirname "$0")"/..
+
+ # Compile all files in std and examples.
+
+for f in "$REPO_ROOT"/std/*.sol
+do
+ echo "Compiling $f..."
+ set +e
+ output=$("$REPO_ROOT"/build/solc/solc "$f" 2>&1)
+ failed=$?
+ # Remove the pre-release warning from the compiler output
+ output=$(echo "$output" | grep -v 'pre-release')
+ echo "$output"
+ set -e
+ test -z "$output" -a "$failed" -eq 0
+done
# This conditional is only needed because we don't have a working Homebrew
# install for `eth` at the time of writing, so we unzip the ZIP file locally
diff --git a/scripts/travis-emscripten/build_emscripten.sh b/scripts/travis-emscripten/build_emscripten.sh
index 285c6338..f5374a33 100755
--- a/scripts/travis-emscripten/build_emscripten.sh
+++ b/scripts/travis-emscripten/build_emscripten.sh
@@ -40,32 +40,6 @@ apt-get -y install git-core
export WORKSPACE=/src
-# CryptoPP
-echo -en 'travis_fold:start:compiling_cryptopp\\r'
-cd "$WORKSPACE/cryptopp"
-# if .git exists, it is a fresh checkout, otherwise it comes from the cache
-# and is already compiled
-test -e .git && (
-emcmake cmake -DCRYPTOPP_LIBRARY_TYPE=STATIC -DCRYPTOPP_RUNTIME_TYPE=STATIC && emmake make -j 4
-ln -s . src/cryptopp || true
-rm -rf .git
-)
-echo -en 'travis_fold:end:compiling_cryptopp\\r'
-
-# Json-CPP
-echo -en 'travis_fold:start:compiling_jsoncpp\\r'
-cd "$WORKSPACE/jsoncpp"
-# if .git exists, it is a fresh checkout, otherwise it comes from the cache
-# and is already compiled
-test -e .git && (
-emcmake cmake -DJSONCPP_LIB_BUILD_STATIC=ON -DJSONCPP_LIB_BUILD_SHARED=OFF \
- -DJSONCPP_WITH_TESTS=OFF -DJSONCPP_WITH_POST_BUILD_UNITTEST=OFF \
- -G "Unix Makefiles" .
-emmake make -j 4
-rm -rf .git
-)
-echo -en 'travis_fold:end:compiling_jsoncpp\\r'
-
# Boost
echo -en 'travis_fold:start:compiling_boost\\r'
cd "$WORKSPACE"/boost_1_57_0
@@ -112,10 +86,6 @@ emcmake cmake \
-DBoost_THREAD_LIBRARIES="$WORKSPACE"/boost_1_57_0/libboost_thread.a \
-DBoost_UNIT_TEST_FRAMEWORK_LIBRARY="$WORKSPACE"/boost_1_57_0/libboost_unit_test_framework.a \
-DBoost_UNIT_TEST_FRAMEWORK_LIBRARIES="$WORKSPACE"/boost_1_57_0/libboost_unit_test_framework.a \
- -DJSONCPP_LIBRARY="$WORKSPACE"/jsoncpp/src/lib_json/libjsoncpp.a \
- -DJSONCPP_INCLUDE_DIR="$WORKSPACE"/jsoncpp/include/ \
- -DCRYPTOPP_LIBRARY="$WORKSPACE"/cryptopp/src/libcryptlib.a \
- -DCRYPTOPP_INCLUDE_DIR="$WORKSPACE"/cryptopp/src/ \
-DDev_DEVCORE_LIBRARY="$WORKSPACE"/solidity/build/libdevcore/libsoldevcore.a \
-DEth_EVMASM_LIBRARY="$WORKSPACE"/solidity/build/libevmasm/libsolevmasm.a \
-DETH_STATIC=1 -DTESTS=0 \
diff --git a/scripts/travis-emscripten/install_deps.sh b/scripts/travis-emscripten/install_deps.sh
index 2c0e9f26..252c74b0 100755
--- a/scripts/travis-emscripten/install_deps.sh
+++ b/scripts/travis-emscripten/install_deps.sh
@@ -30,8 +30,6 @@
set -ev
echo -en 'travis_fold:start:installing_dependencies\\r'
-test -e cryptopp -a -e cryptopp/src || git clone https://github.com/mmoss/cryptopp.git
-test -e jsoncpp -a -e jsoncpp/include || git clone https://github.com/open-source-parsers/jsoncpp.git
test -e boost_1_57_0 -a -e boost_1_57_0/boost || (
wget 'http://downloads.sourceforge.net/project/boost/boost/'\
'1.57.0/boost_1_57_0.tar.bz2?r=http%3A%2F%2Fsourceforge.net%2F'\